Skip to Content
API ReferenceForms APIList Forms

List Forms

Returns all forms belonging to the authenticated account.

GET /v1/forms

Request

curl https://api.formtorch.com/v1/forms \ -H "Authorization: Bearer YOUR_API_KEY"

Query parameters

ParameterTypeDescription
projectIdstringFilter forms by project ID
limitintegerNumber of results per page (default: 20, max: 100)
cursorstringPagination cursor from previous response

Response

{ "forms": [ { "id": "a1b2c3d4e5", "name": "Contact Form", "projectId": "p9q8r7s6t5", "submissionCount": 142, "createdAt": "2025-01-10T09:00:00.000Z", "updatedAt": "2025-03-01T14:22:00.000Z" }, { "id": "f6g7h8i9j0", "name": "Newsletter Signup", "projectId": "p9q8r7s6t5", "submissionCount": 891, "createdAt": "2025-01-15T11:30:00.000Z", "updatedAt": "2025-02-20T08:10:00.000Z" } ], "nextCursor": "eyJpZCI6ImY2ZzdoOGk5ajAifQ" }

Response fields

FieldTypeDescription
formsarrayList of form objects
forms[].idstringForm ID (10 characters)
forms[].namestringForm display name
forms[].projectIdstringParent project ID
forms[].submissionCountintegerTotal non-spam submissions received
forms[].createdAtstringISO 8601 creation timestamp
forms[].updatedAtstringISO 8601 last updated timestamp
nextCursorstring or nullPass to cursor param for the next page
Last updated on